// -*-C++-*-
/*!
 * @file  ConstantSVC_impl.h
 * @brief Service implementation header of Constant.idl
 *
 */

#include "ConstantSkel.h"


#ifndef CONSTANTSVC_IMPL_H
#define CONSTANTSVC_IMPL_H
 
/*
 * Example class implementing IDL interface constant
 */
class constantSVC_impl
 : public virtual POA_constant,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~constantSVC_impl();

 public:
   // standard constructor
   constantSVC_impl();
   virtual ~constantSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, CORBA::Double& output);
   CORBA::Double GetOutput();
   CORBA::Long SetOutput(CORBA::Double& output);
   CORBA::Long StartOutput();
   CORBA::Long StopOutput();

};



#endif // CONSTANTSVC_IMPL_H


