// -*-C++-*-
/*!
 * @file  FileWriterSVC_impl.cpp
 * @brief Service implementation code of FileWriter.idl
 *
 */

#include "FileWriterSVC_impl.h"
#include <iostream>
#include <string>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define SHORTARRAY 10
#define LONGARRAY 20
#define FLOATARRAY 30
#define DOUBLEARRAY 40

/*
 * Example implementational code for IDL interface filewriter
 */
filewriterSVC_impl::filewriterSVC_impl()
{
  // Please add extra constructor code here.
}


filewriterSVC_impl::~filewriterSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern bool svcname_flag;
extern int svc_type;
extern std::string svc_filename;
extern double svc_time;
extern bool svc_start;

CORBA::Long filewriterSVC_impl::SetStatus(CORBA::Long& datatype, const char* filename)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE && datatype!=SHORTARRAY && datatype!=LONGARRAY && datatype!=FLOATARRAY && datatype!=DOUBLEARRAY){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }

  svc_flag = true;
  svcname_flag = true;
  svc_type = datatype;
  svc_filename = filename;

  return 0;
}

CORBA::Long filewriterSVC_impl::StartInput(CORBA::Double& storetime)
{
  svc_flag  = true;
  svc_time  = storetime;
  svc_start = true;

  return 0;
}

CORBA::Long filewriterSVC_impl::StopInput()
{
  svc_flag  = true;
  svc_start = false;

  return 0;
}



// End of example implementational code



