// -*-C++-*-
/*!
 * @file  FileWriterSVC_impl.h
 * @brief Service implementation header of FileWriter.idl
 *
 */

#include "FileWriterSkel.h"


#ifndef FILEWRITERSVC_IMPL_H
#define FILEWRITERSVC_IMPL_H
 
/*
 * Example class implementing IDL interface filewriter
 */
class filewriterSVC_impl
 : public virtual POA_filewriter,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~filewriterSVC_impl();

 public:
   // standard constructor
   filewriterSVC_impl();
   virtual ~filewriterSVC_impl();

   // attributes and operations
   CORBA::Long SetStatus(CORBA::Long& datatype, const char* filename);
   CORBA::Long StartInput(CORBA::Double& storetime);
   CORBA::Long StopInput();

};



#endif // FILEWRITERSVC_IMPL_H


