// -*-C++-*-
/*!
 * @file  SelecterIIIOSVC_impl.cpp
 * @brief Service implementation code of SelecterIIIO.idl
 *
 */

#include "SelecterIIIOSVC_impl.h"
#include <iostream>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define BOOL 5
#define SHORTARRAY 10
#define LONGARRAY 20
#define FLOATARRAY 30
#define DOUBLEARRAY 40
#define BOOLARRAY 50

/*
 * Example implementational code for IDL interface selecteriiio
 */
selecteriiioSVC_impl::selecteriiioSVC_impl()
{
  // Please add extra constructor code here.
}


selecteriiioSVC_impl::~selecteriiioSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern int svc_type;
extern int svc_num;
extern int svc_select;

CORBA::Long selecteriiioSVC_impl::SetStatus(CORBA::Long& datatype, CORBA::Long& inport_num)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE && datatype!=BOOL && 
     datatype!=SHORTARRAY && datatype!=LONGARRAY && datatype!=FLOATARRAY && datatype!=DOUBLEARRAY && datatype!=BOOLARRAY){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }

  if(inport_num < 1 || 10 < inport_num){
    std::cout << "InPort_Num ERROR." << std::endl;
    return -1;
  }

  svc_flag = true;
  svc_type = (int)datatype;
  svc_num  = inport_num;

  return 0;
}

CORBA::Long selecteriiioSVC_impl::SelectPort(CORBA::Long& select)
{
  if(select < 0 || svc_num < select){
    std::cout << "Select ERROR." << std::endl;
    return -1;
  }

  svc_flag = true;
  svc_select = select;

  return 0;
}

CORBA::Long selecteriiioSVC_impl::GetPort()
{
  return svc_select;
}



// End of example implementational code



