// -*-C++-*-
/*!
 * @file  SummaterSVC_impl.cpp
 * @brief Service implementation code of Summater.idl
 *
 */

#include "SummaterSVC_impl.h"
#include <iostream>

#define SHORT 1
#define LONG 2
#define FLOAT 3
#define DOUBLE 4
#define SHORTARRAY 10
#define LONGARRAY 20
#define FLOATARRAY 30
#define DOUBLEARRAY 40

/*
 * Example implementational code for IDL interface summater
 */
summaterSVC_impl::summaterSVC_impl()
{
  // Please add extra constructor code here.
}


summaterSVC_impl::~summaterSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
extern bool svc_flag;
extern int svc_type;
extern int svc_num;
extern int svc_plus;

CORBA::Long summaterSVC_impl::SetStatus(CORBA::Long& datatype, CORBA::Long& inport_num, CORBA::Long& plus_num)
{
  if(datatype!=SHORT && datatype!=LONG && datatype!=FLOAT && datatype!=DOUBLE &&
     datatype!=SHORTARRAY && datatype!=LONGARRAY && datatype!=FLOATARRAY && datatype!=DOUBLEARRAY){
    std::cout << "DataType ERROR." << std::endl;
    return -1;
  }

  if(inport_num < 1 || 10 < inport_num){
    std::cout << "InPort_Num ERROR." << std::endl;
    return -1;
  }

  if(inport_num < plus_num){
    std::cout << "Plus_Num ERROR." << std::endl;
    return -1;
  }

  svc_flag = true;
  svc_type = (int)datatype;
  svc_num  = inport_num;
  svc_plus = plus_num;

  return 0;
}



// End of example implementational code



